<html>
<head>
<title>OGRE: OgreException.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreException.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &lt;exception&gt;</code><br>

<p>
<a href="OgreException_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">When thrown, provides information about an error that has occurred inside the engine.  <a href="classOgre_1_1Exception.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ExceptionCodeType.html">Ogre::ExceptionCodeType&lt; num &gt;</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Template struct which creates a distinct type for each exception code.  <a href="structOgre_1_1ExceptionCodeType.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnimplementedException.html">Ogre::UnimplementedException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FileNotFoundException.html">Ogre::FileNotFoundException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IOException.html">Ogre::IOException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InvalidStateException.html">Ogre::InvalidStateException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InvalidParametersException.html">Ogre::InvalidParametersException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ItemIdentityException.html">Ogre::ItemIdentityException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InternalErrorException.html">Ogre::InternalErrorException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderingAPIException.html">Ogre::RenderingAPIException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RuntimeAssertionException.html">Ogre::RuntimeAssertionException</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExceptionFactory.html">Ogre::ExceptionFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class implementing dispatch methods in order to construct by-value exceptions of a derived type based just on an exception code.  <a href="classOgre_1_1ExceptionFactory.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreException_8h.html#8d9e90638349c941f0cc0af76cad1ae4">OgreAssert</a>(a, b)&nbsp;&nbsp;&nbsp;assert( (a) &amp;&amp; (b) )</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreException_8h.html#6d8a74980f0e08e2a912cddc19be0fcd">OGRE_EXCEPT</a>(num, desc, src)</td></tr>

</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="6d8a74980f0e08e2a912cddc19be0fcd"></a><!-- doxytag: member="OgreException.h::OGRE_EXCEPT" ref="6d8a74980f0e08e2a912cddc19be0fcd" args="(num, desc, src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_EXCEPT          </td>
          <td>(</td>
          <td class="paramtype">num,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">desc,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">src&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<b>Value:</b><div class="fragment"><pre class="fragment"><span class="keywordflow">throw</span> <a class="code" href="classOgre_1_1ExceptionFactory.html#2a13a97a32a5992f1e82f6c8fb8190fb">Ogre::ExceptionFactory::create</a>( \
    <a class="code" href="structOgre_1_1ExceptionCodeType.html" title="Template struct which creates a distinct type for each exception code.">Ogre::ExceptionCodeType&lt;num&gt;</a>(), desc, src, __FILE__, __LINE__ );
</pre></div>
<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00336">336</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h-source.html#l00232">Ogre::AnimableObject::_getAnimableValueNames()</a>, <a class="el" href="OgreAny_8h-source.html#l00386">Ogre::any_cast()</a>, <a class="el" href="OgreAnimable_8h-source.html#l00163">Ogre::AnimableValue::applyDeltaValue()</a>, <a class="el" href="OgreAnimable_8h-source.html#l00285">Ogre::AnimableObject::createAnimableValue()</a>, <a class="el" href="OgreAnimable_8h-source.html#l00260">Ogre::AnimableObject::getAnimableValueNames()</a>, <a class="el" href="OgreRenderable_8h-source.html#l00213">Ogre::Renderable::getCustomParameter()</a>, <a class="el" href="OgreAny_8h-source.html#l00184">Ogre::Any::operator()()</a>, and <a class="el" href="OgreAnimable_8h-source.html#l00129">Ogre::AnimableValue::setValue()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8d9e90638349c941f0cc0af76cad1ae4"></a><!-- doxytag: member="OgreException.h::OgreAssert" ref="8d9e90638349c941f0cc0af76cad1ae4" args="(a, b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OgreAssert          </td>
          <td>(</td>
          <td class="paramtype">a,         <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%">&nbsp;&nbsp;&nbsp;assert( (a) &amp;&amp; (b) )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreException_8h-source.html#l00068">68</a> of file <a class="el" href="OgreException_8h-source.html">OgreException.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
